RTEMS: fxp_cb_config Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
fxp_cb_config Struct Reference

## Data Fields
void * | fill [2]
volatile u_int16_t | cb_status
volatile u_int16_t | cb_command
volatile u_int32_t | link_addr
volatile u_int | byte_count:6
volatile u_int volatile u_int | rx_fifo_limit:2:4
volatile u_int volatile u_int | tx_fifo_limit:3
volatile u_int volatile u_int volatile u_int8_t | adaptive_ifs:1
volatile u_int | mwi_enable:1
volatile u_int | type_enable:1
volatile u_int | read_align_en:1
volatile u_int | end_wr_on_cl:1
volatile u_int volatile u_int | rx_dma_bytecount:4:7
volatile u_int volatile u_int volatile u_int | tx_dma_bytecount:1:7
volatile u_int volatile u_int volatile u_int | dma_mbce:1
volatile u_int | late_scb:1
volatile u_int | direct_dma_dis:1
volatile u_int | tno_int_or_tco_en:1
volatile u_int | ci_int:1
volatile u_int | ext_txcb_dis:1
volatile u_int | ext_stats_dis:1
volatile u_int | keep_overrun_rx:1
volatile u_int | save_bf:1
volatile u_int | disc_short_rx:1
volatile u_int | underrun_retry:2
volatile u_int | two_frames:1
volatile u_int | dyn_tbd:1
volatile u_int | mediatype:1
volatile u_int | csma_dis:1
volatile u_int | tcp_udp_cksum:1
volatile u_int | vlan_tco:1
volatile u_int | link_wake_en:1
volatile u_int | arp_wake_en:1
volatile u_int | mc_wake_en:1
volatile | u_int:3
volatile | nsai:1
volatile | preamble_length:2
volatile | loopback:2
volatile u_int | linear_priority:3
volatile u_int volatile u_int | linear_pri_mode:5:1
volatile u_int volatile u_int | interfrm_spacing:4
volatile u_int | promiscuous:1
volatile u_int | bcast_disable:1
volatile u_int | wait_after_win:1
volatile u_int | ignore_ul:1
volatile u_int | crc16_en:1
volatile u_int | crscdt:1
volatile u_int | fc_delay_lsb:8
volatile u_int | fc_delay_msb:8
volatile u_int | stripping:1
volatile u_int | padding:1
volatile u_int | rcv_crc_xfer:1
volatile u_int | long_rx_en:1
volatile u_int | pri_fc_thresh:3
volatile u_int volatile u_int | ia_wake_en:1:1
volatile u_int volatile u_int | magic_pkt_dis:1
volatile u_int volatile u_int | tx_fc_dis:1
volatile u_int volatile u_int | rx_fc_restop:1
volatile u_int volatile u_int | rx_fc_restart:1
volatile u_int volatile u_int | fc_filter:1
volatile u_int volatile u_int | force_fdx:1
volatile u_int volatile u_int | fdx_pin_en:1
volatile | pri_fc_loc:1
volatile | multi_ia:1
volatile volatile | u_int:1:3
volatile volatile | mc_all:1

The documentation for this struct was generated from the following file:

- bsps/shared/net/if_fxpreg.h